Skip to main content
`Ctrl`+`K`

# SNESFASCreateCoarseVec

create a `Vec` corresponding to a state vector on one level coarser than the current level

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCreateCoarseVec(SNES snes, Vec *Xcoarse)

Collective

## Input Parameter

- snes - `SNESFAS` object

## Output Parameter

- Xcoarse - vector on level one coarser than the current level

## See Also

SNES: Nonlinear Solvers, `SNESFASSetRestriction()`, `SNESFASRestrict()`, `SNESFAS`

## Level

developer

## Location

src/snes/impls/fas/fas.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages